Bug 471814 - no anaconda src rpm in 10-Preview
no anaconda src rpm in 10-Preview
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 15:50 EST by Alexandre Oliva
Modified: 2014-03-16 23:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 19:07:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2008-11-16 15:50:52 EST
I just noticed that the SRPMS tree in the 10-Preview release doesn't contain sources for anaconda.

Although non-src packages for anaconda are not included in the package selection that makes up the 10-Preview binary sets, anaconda is most definitely included in the install images.

I suppose there's some oversight in place that causes us to not add to the corresponding sources the stuff that is excluded from package selection but still included in the install images.  Not offering those sources might even amount to copyright infringement, if binary packages happen to be affected.

I don't know whether there are any, it was just anaconda that jumped at me, but I figured we'd be better off making sure we offer sources for everything in the install media, regardless of whether it's in some interpreted language, if nothing else to be on the safe side.
Comment 1 Jesse Keating 2008-11-18 12:53:13 EST
The sources will be taken care of at final release points by having the Everything tree.  The snapshots and pre-releases can also make use of the matching rawhide trees to get the srpms.

I'll have to think on this one a bit, as it's very much desired to /not/ have the anaconda package and all the other supporting packages in the install media, so there isn't an easy way to work backward from what anaconda uses to populate the source directories.
Comment 2 Bug Zapper 2008-11-26 00:29:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.